function [ok,mess] = save_config (file_name, config_data)
% Save configuration structure
% 
%   >> [ok,mess] = save_config (file_name, config_data)
%
%   file_name       Full name of file to hold configuration stucture
%   config_data     Structure holding the configuration
%
%   ok              true if saved ok; false otherwise
%   mess            message if not ok (empty otherwise)

% $Revision: 1848 $ ($Date: 2012-01-13 15:41:06 +0000 (Fri, 13 Jan 2012) $)

% Delete existing configuration file, if there is one
if exist(file_name,'file')
    try
        delete(file_name)
    catch
        ok=false;
        mess=['Unable to delete existing configuration data file: ',file_name];
        return
    end
end

% Save structure
try
    save(file_name,'config_data')
    ok=true;
    mess='';
catch
    ok=false;
    mess=['Unable to save configuration to file: ',file_name];
    return
end
