function set(this,varargin)
%
%    set(config,var, 'field1', val1, 'field2, val2, ... )
%    set(config, struct_val )
%    set(config, cellarray) where the cell array has the form {'field1',val1,...,etc.} 
%
%    var = set(config,'defaults')
%
% function sets corespondent fields in proper configuration class this
% it also writes the resutling structure into configuration file for future
% usage;
% the last form sets up the configuration to its default values, e.g. the
% one, specified in the default this structure
% for homer_gui you have to set up current instrument after that 
%
% $Revision: 1852 $ ($Date: 2012-02-06 16:45:21 +0000 (Mon, 06 Feb 2012) $)
%
if strcmp(varargin{1},'-change_sealed')
    error('HOMER_CONFIG:set','Change of sealed fields is prohibited in set function')
end

argi=varargin;
%
[field_nams,field_vals]=parse_config_arg(argi);
seled_fields = get(this,'sealed_fields');
sf           = ismember(seled_fields,field_nams);
if any(sf)
    error('HOMER_CONFIG:set',' Can not set sealed fields: %s %s %s %s\n',seled_fields{sf});
end
instr_selected = ismember(field_nams,'instrument_name');
if any(instr_selected)    
    % check, if the instrument requested here exist
    instr_name = field_vals{instr_selected};
    [instr_allowed,instruments_root]=get(homer_config,'instruments_allowed','instruments_root_dir');
    if ~any(ismember(instr_allowed,instr_name))
        error('LIBISIS:homer_config',' attempting to set non-exisiting instrument: %s',instr_name);
    end
    instr_config_folder = fullfile(instruments_root,instr_name);
    % this is homer function by Russell.
    set_instrument_homer_path(instruments_root,instr_allowed,instr_name);
    
    argi{end+1}='instr_config_folder';
    argi{end+1}=instr_config_folder;    
    
end
set_internal(this,'-change_sealed',argi{:});

