function this=homgui_config()
% Create the Homer GUI configuration object 
%
%   >> this=homgui_config
%
% Type >> homgui_config  to see the list of current configuration option values.

% $Revision: 1850 $ ($Date: 2012-01-23 08:35:18 +0000 (Mon, 23 Jan 2012) $)
%
%--------------------------------------------------------------------------------------------------
%  ***  Alter only the contents of the subfunction at the bottom of this file called     ***
%  ***  default_config, and the help section above, which describes the contents of the  ***
%  ***  configuration structure.                                                         ***
%--------------------------------------------------------------------------------------------------
% This block contains generic code. Do not alter. Alter only the sub-function default_config below

config_name=mfilename('class');
build_configuration(config,@homgui_defaults,config_name);
this=class(struct([]),config_name,config);


%--------------------------------------------------------------------------------------------------
%  Alter only the contents of the following subfunction, and the help section of the main function
%
%  This subfunction sets the field names, their defaults, and which ones are sealed against change
%  by the 'set' method.
%
%  The sealed fields must be a cell array of field names, or can be empty. The matlab function
%  struct that can be used has confusing syntax for this purpose: suppose we have fields
%  called 'v1', 'v2', 'v3',...  then we might have:
%   - if no sealed fields:  ...,sealed_fields,{{''}},...
%   - if one sealed field   ...,sealed_fields,{{'v1'}},...
%   - if two sealed fields  ...,sealed_fields,{{'v1','v2'}},...
%
%--------------------------------------------------------------------------------------------------
function defaults=homgui_defaults()

defaults = struct(...
    'instrument_name','mari',    ...    % instrument name
    'instr_config_file','',      ...    % the text file with the instrument's GUI configuration
    'template_files_location','' ...    % location for the instrument files GUI templates
    ) ;

defaults.sealed_fields={'template_files_location','instr_config_file'};
