function set(this,varargin)
%
%    var = set(config,var, 'field1', val1, 'field2, val2, ... )
%    var = set(config, struct_val )
%    var = set(config, cellarray) where the cell array has the form {'field1',val1,...,etc.} 
%
%    var = set(config,'defaults')
%
% function sets corespondent fields in proper configuration class this
% it also writes the resutling structure into configuration file for future
% usage;
% the last form sets up the configuration to its default values, e.g. the
% one, specified in the default this structure
% for homer_gui you have to set up current instrument after that 
%
% $Revision: 1841 $ ($Date: 2011-11-03 19:49:47 +0000 (Thu, 03 Nov 2011) $)
%
%
if strcmp(varargin{1},'-change_sealed')
    error('HOMGUI_CONFIG:set','Change of sealed fields is prohibited in set function')
end

argi=varargin;
%
[field_nams,field_vals]=parse_config_arg(argi);
seled_fields = get(this,'sealed_fields');
sf           = ismember(seled_fields,field_nams);
if any(sf)
    error('HOMGUI_CONFIG:set',' Can not set sealed fields: %s %s %s %s\n',seled_fields{sf});
end

%
instr_selected = ismember(field_nams,'instrument_name');
if any(instr_selected)    
    % check, if the instrument requested here exist
    instr_name = field_vals{instr_selected};
    %
    set(homer_config,'instrument_name',instr_name);
    % this should be lifted automatically if singleton is implemented
    % properly
    
     config_folder    = get(config,'config_folder_path');
     instruments_root = get(homer_config,'instruments_root_dir');

    template_files_location = fullfile(instruments_root,instr_name,'homer_gui');
    instr_config_file       = fullfile(config_folder,[instr_name,'.txt']);

    if ~exist(instr_config_file,'file')
        template_conf_file = fullfile(template_files_location,[instr_name,'.txt']);     
        if ~exist(template_conf_file,'file')
            error('LIBISIS:config','can not find instrument template file: %s',template_conf_file)
        end
        copyfile(template_conf_file,instr_config_file,'f');
    end
    argi{end+1}= 'instr_config_file';
    argi{end+1}= instr_config_file;        
    argi{end+1}= 'template_files_location';
    argi{end+1}= template_files_location;           
end
    
set_internal(this,'-change_sealed',argi{:})





