function this=libisis_config()
% Create the libisis configuration object 
%
%   >> this=libisis_config
%
% Type >> libisis_config  to see the list of current configuration option values.

% $Revision: 1743 $ ($Date: 2010-07-20 16:45:52 +0100 (Tue, 20 Jul 2010) $)
%
%--------------------------------------------------------------------------------------------------
%  ***  Alter only the contents of the subfunction at the bottom of this file called     ***
%  ***  default_config, and the help section above, which describes the contents of the  ***
%  ***  configuration structure.                                                         ***
%--------------------------------------------------------------------------------------------------
% This block contains generic code. Do not alter. Alter only the sub-function default_config below

config_name=mfilename('class');
build_configuration(config,@libisis_defaults,config_name);
this=class(struct([]),config_name,config);


%--------------------------------------------------------------------------------------------------
%  Alter only the contents of the following subfunction, and the help section of the main function
%
%  This subfunction sets the field names, their defaults, and which ones are sealed against change
%  by the 'set' method.
%
%  The sealed fields must be a cell array of field names, or can be empty. The matlab function
%  struct that can be used has confusing syntax for this purpose: suppose we have fields
%  called 'v1', 'v2', 'v3',...  then we might have:
%   - if no sealed fields:  ...,sealed_fields,{{''}},...
%   - if one sealed field   ...,sealed_fields,{{'v1'}},...
%   - if two sealed fields  ...,sealed_fields,{{'v1','v2'}},...
%
%--------------------------------------------------------------------------------------------------
function defaults=libisis_defaults()

defaults = struct(...
    'is_first_run',1, ... % spefies if it is the first run of the class on the system. (e.g. configuration exist) % If first, DLL-s are copied during the initiation and some version specific functions are moved or renamed
    'last_used_matlab_version','' ...
        ) ;  

defaults.sealed_fields={'sealed_fields'};










