function instchoice=announce_instrument(varargin)

%If no input argument supplied then queries user which instrument they are
%using. In any case, displays on Matlab command window which neutron
%instrument is currently being used.

if nargin~=0
    reply=varargin{:};
    if ~ischar(reply) || isempty(reply)
        reply='';
    else
        reply=upper(reply);
    end
else
    reply='';
end
    
if isempty(reply)
    %Add new settings:
    disp( '!------------------------------------------------------------------!');
    disp( '! Libisis homer configuration has not been selected or is outdated !');
    disp( '! Select which instrument you are using:                           !');
    reply=input('!  MERlin MAPs HET MARi. Default is Merlin. ','s');
    disp( '!------------------------------------------------------------------!');
    if isempty(reply)
        reply='MER';
    end
    reply=upper(reply);%ensure upper case
end

if strcmp(reply(1:3),'MER')
    instchoice='merlin';
elseif strcmp(reply(1:3),'MAP')
    instchoice='maps';
elseif    strcmp(reply(1:3),'MAR')
    instchoice='mari';
elseif    strcmp(reply(1:3),'HET')
    instchoice='het';
elseif    strcmp(reply(1:3),'LET')
    instchoice='let';   
else
    instchoice='merlin';%default
end
i_name=sprintf('%6s',instchoice);
disp( '!------------------------------------------------------------------!');
disp( '! your instrument, selected from now on will be:                   !');
disp(['!                          ',upper(i_name),'                                  !']);
disp( '!   you can change you selection at any time by typing:            !');
disp( '!>> set(homer_config,''instrument_name'',instrument_name)            !');
disp( '!   where instrument_name can be: ''merlin'', ''maps'',''mari'' or ''het'' !');
disp( '!------------------------------------------------------------------!');




