function inst_dir=set_instrument_homer_path(instr_root_path,instruments_possible,instr_name)
% 
% the function sets up the path to the current instrument folder and
% removes path-es to all other possible instrument folders;
% 
% instr_root_path      -- the path where all instrument folders can be located
% instruments_possible -- cellarray of the insrument names allowed
% insr_name            -- the name of the instrument you want to initiate
%
% $Revision: 1873 $ ($Date: 2012-07-10 10:21:26 +0100 (Tue, 10 Jul 2012) $)
%
%Remove old settings (if any):

if ~any(ismember(instruments_possible,instr_name))
    error('LIBISIS:homer_config',' attempting to set non-exisiting instrument: %s',instr_name);
end

pdef=path;%long string containing the entire search path.
for i=1:numel(instruments_possible)
    cur_name=[filesep,instruments_possible{i}];
    ind = strfind(pdef,cur_name);
    if ~isempty(ind)
        inst_path = fullfile(instr_root_path,cur_name);
        old_state = warning('query', 'MATLAB:rmpath:DirNotFound');
        warning('off', 'MATLAB:rmpath:DirNotFound');        
        
        rmpath(inst_path);
        rmpath(fullfile(inst_path,'homer'));
        rmpath(fullfile(inst_path,'homer_gui'));              
        
        warning(old_state.state, 'MATLAB:rmpath:DirNotFound');        

    end
end
inst_dir   =fullfile(instr_root_path,instr_name);
homer_dir  =fullfile(inst_dir,'homer');
if ~isdeployed
    homgui_dir =fullfile(inst_dir,'homer_gui');    
    addpath(inst_dir,homer_dir,homgui_dir);
end

%We now add an extra few lines of code (rather than modified lines) where
%we setup the instrument stuff for Homer.
if strcmp(instr_name(1:3),'mer')
        setup_merlin_data_sources;
elseif strcmp(instr_name(1:3),'map')
        setup_maps_data_sources;
elseif    strcmp(instr_name(1:3),'mar')
        setup_mari_data_sources;
elseif    strcmp(instr_name(1:3),'het')
        setup_het_data_sources;
elseif    strcmp(instr_name(1:3),'let')
        setup_let_data_source;
else
        setup_merlin_data_sources;%default
end


