function out_path=get_archive_data_dir(varargin);
%gets the data directories from the archive server for the instrument
%either give instrument name in this case its assumed that the path the
%archive is /isisdata... i.e. the melehan setup or give an instrument name
%and a search path to the directory containing all the ndx_instrument
%folders i.e. x:\isisdata
%specified instname is the full instrument in lower case 
% out is a cell array of paths
%out = get_archive_data_dir('mari')
%out = get_archive_data_dir('maps')
%out = get_archive_data_dir('merlin')
%out = get_archive_data_dir('let')
%out = get_archive_data_dir('let','/isisdata')

%first check we are on melehan
if length(varargin)==1
    inst_name=char(varargin);
    search_path=strcat('/isisdata/ndx',inst_name,'/Instrument/data/');
else
    inst_name=char(varargin(1));
    search_path_in=char(varargin(2));
    search_path=strcat(search_path_in,filesep,'ndx',inst_name,filesep,'Instrument',filesep,'data',filesep);
end

out_path=[];

dd=dir(search_path);
if ~isempty(dd)
    scr_out=sprintf('Displaying directories for %s on the path %s',inst_name,search_path);
    disp(scr_out);
    out_path=cell(length(dd),1);
    for i = 1:length(dd)
        tmp=dd(i).name;
        scr_out=sprintf('Adding %s to search path',tmp);
        disp(scr_out);
        out_path{i}=strcat(search_path,tmp);
    end
    %now set the search path as the default data directory
    delgpath('inst_data');

    if iscellstr(out_path)
        mkgpath('inst_data',out_path{:});
    else
        mkgpath('inst_data',out_path);
    end
else
    disp('Looks like your system is not connected to the isis data archive')
    disp('You will have to set the data directory path manually')
    out_path = uigetdir('/home/', 'Select the directory that contains your ISIS raw files');
    
    delgpath('inst_data');

    if iscellstr(out_path)
        mkgpath('inst_data',out_path{:});
    else
        mkgpath('inst_data',out_path);
    end
end
