function setup_mari_data_sources
%
% Utility to setup Homer for use with Mari data

%Default choice of RAW file location:
data_source = '/data/instrument/mari/RAW';

inst_abrv_name = 'MAR';
inst_full_name = 'MARI';


% Instrument setup:
%libisis_root = '/data/mprogs';     % root directory of libisis installation
if isdeployed
    instrument_files = get(homer_config,'instruments_root_dir');
    instrument_files = fullfile(instrument_files,lower(inst_full_name));
    instrument_files = [instrument_files filesep];
else
    rootpath = fileparts(which('libisis_init'));

    % Set instrument specific paths and constants
    % instrument_files = fullfile(libisis_root,'InstrumentFiles',lower(inst_full_name));
    % instrument_files = [instrument_files,filesep];
    instrument_files = parse_path([rootpath '/../InstrumentFiles/' lower(inst_full_name) filesep]);
end

mapdir= instrument_files;
maskdir=instrument_files;
nexdir= instrument_files;

data_source=cellstr(data_source);
datadir=data_source{:};

setup_instrument_data_sources(datadir,mapdir,nexdir,maskdir,inst_abrv_name)
setup_mari_homer_defaults;
setup_mari_diag_defaults;