function [white,absolute,indat2,use_mask]=check_handles(indat,handles)
% $Revision: 1763 $ ($Date: 2009-09-18 17:30:47 +0100 (Fri, 18 Sep 2009) $)


if isfield(handles,{'white_file'})
    if(size(handles.white_file,1) == size(indat.white_file,1))
        if(handles.white_file == indat.white_file)
            white=false;
        else
            white=true;
        end
    else
        white=true;
    end
else
    white=true;
end
% if the folder you are looking for does not exist, the guess folder will
% be opened to look for files which should be there. 
global guess_folder;
guess_folder=pwd;

data_dir  = if_folder_exist(indat.datadir, ' raw data files');
map_dir   = if_folder_exist(indat.mapdir,  ' map files');
mask_dir  = if_folder_exist(indat.maskdir, ' masks files');
nex_dir   = if_folder_exist(indat.paramdir,' parameter files');

if(~strcmp(indat.datadir,data_dir))   
    delgpath('inst_data');
    mkgpath('inst_data' ,data_dir);    
    indat.datadir  = data_dir;    
end

if(~strcmp(indat.paramdir,nex_dir))      
    indat.paramdir = nex_dir;
    delgpath('inst_nxs');    
    mkgpath('inst_nxs',nex_dir);    
end

if(~strcmp(indat.maskdir,mask_dir))      
    indat.maskdir  = mask_dir;
    delgpath('inst_masks');    
    mkgpath('inst_masks',mask_dir);    
end

if(~strcmp(indat.mapdir,map_dir))      
    indat.mapdir   = map_dir;
    delgpath('inst_maps');        
    mkgpath('inst_maps' ,map_dir);
end

indat.spedir   = if_folder_exist(indat.spedir,  ' spe files');



if isfield(handles,{'white_file_mono'}) & isfield(handles,{'run_num_mono'}) & ...
        isfield(handles,{'mv_mapfile'}) & isfield(handles,{'mv_mask'})
    if  (size(handles.white_file_mono,1) == size(indat.white_file_mono,1)) ...
            &  (size(handles.run_num_mono,1) == size(indat.run_num_mono,1))
        %
        absolute = handles.indat.do_absolute;
        if strcmpi(handles.white_file_mono,indat.white_file_mono) && ...
           strcmpi(handles.run_num_mono,indat.run_num_mono)  && ...
           strcmpi(handles.mv_mapfile,indat.mv_mapfile)        && ...
            (handles.mv_mask== indat.mv_mask)                  && ...
            absolute==false
        % everything is the same and can use stored monovanadium whitebeam
        % runfiles
            absolute=false;
            indat2=[];
            use_mask=false;
        else
            absolute=true;
            indat2=indat;
            indat2.white_file=indat.white_file_mono;
            indat2.run_num=indat.run_num_mono;
            if indat2.mv_mask==1
                indat2.hardmask='';
                use_mask=false;
            else
                use_mask=true;
            end
        end
    else
        absolute=true;
        indat2=indat;
        indat2.white_file=indat.white_file_mono;
        indat2.run_num=indat.run_num_mono;
        if indat2.mv_mask==1
            indat2.hardmask='';
            use_mask=false;
        else
            use_mask=true;
        end
    end
else
    absolute=true;
    indat2=indat;
    indat2.white_file=indat.white_file_mono;
    indat2.run_num=indat.run_num_mono;
    if indat2.mv_mask==1
        indat2.hardmask='';
        use_mask=false;
    else
        use_mask=true;
    end
end

if isempty(handles.indat.white_file)
    error('ERROR: fill in white beam Vanadium number')
end
if isempty(handles.indat.run_num)
    error('ERROR: fill in run numor')
end


if( handles.indat.do_absolute==1)
    if isempty(handles.indat.run_num_mono)
        error('ERROR: fill in mono vanadium run numor')
    end
    if isempty(handles.indat.white_file_mono')
        error('ERROR: fill in absolute units vanadium numor')
    end
    if isempty(handles.indat.samp_mass)
        error('ERROR: fill in Sample Mass')
    end
    if isempty(handles.indat.samp_rmm)
        error('ERROR: fill in Sample RMM')
    end
    a=str2num(get(handles.edit12,'string'));
    b=str2num(get(handles.edit14,'string'));
    if isempty(a) || isempty(b)
        error('ERROR: mono vanadium integration limits must be filled in')
    end
    indat2.mono_van_int_lim(1)=a;
    indat2.mono_van_int_lim(2)=b;
end
%
%
function real_folder=if_folder_exist(test_folder,target_folder_name)

if(exist(test_folder,'dir'))
    real_folder=test_folder;
    return
end
global guess_folder;
if ~exist(guess_folder,'dir')
    guess_folder=pwd;
end

real_folder  = uigetdir(guess_folder, ['Select folder with ',target_folder_name]);
guess_folder = real_folder;

while ~(exist(real_folder,'dir'))
    choice = questdlg('Would you like to pick another folder?', ...
   ['folder: ',real_folder,' not found'], ...
 'Yes','No','No');
% Handle response
    switch choice
       case 'Yes'
            real_folder = uigetdir(guess_folder, ['Select folder with ',target_folder_name]);
            guess_folder = real_folder;           
            break ;
       case 'No'
        disp(['folder with ',target_folder_name,' will be undefined'])
        real_folder='';
        return
    end
    
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% handles.run_num_mono=    indat.run_num_mono;
% handles.white_file_mono =   indat.white_file_mono;
% handles.white_file=    indat.white_file;
