function map_out = read_ascii(map_in,file)
% Read an ascii file mapping spectra to workspaces into an IXTmap object.
%
%   >> map=read_ascii(IXTmap)               % prompts for input file
%   >> map=read_ascii(IXTmap,filename)

% Get file name - prompt if file does not exist 
if ~exist('file','var')
    file_internal=getfile('*.map');
    if isempty(file_internal), error('No file given'), end
else
    [file_internal,mess]=getfilecheck(file);
    if ~isempty(mess), error(mess), end
end

% Read ascii file
map_out = libisisexc('IXTmap','fileread',IXTmap,map_in,file_internal);
