function write_ascii(map,file)
% Read an ascii map file into an IXTmap object.
%
%   >> map=write_ascii(map_object)               % prompts for input file
%   >> map=write_ascii(map_object,filename)

% Get file name - prompt if file does not exist 
if ~exist('file','var')
    file_internal=putfile('*.map');
    if isempty(file_internal), error('No file given'), end
else
    [file_internal,mess]=putfilecheck(file);
    if ~isempty(mess), error(mess), end
end

% Write ascii file
fid=fopen(file_internal,'wt');
if (fid < 0)
    error (['Cannot open file: ' file_internal])
end

fprintf (fid, '%g \n', numel(map.work_no));
for i=1:numel(map.work_no)
    fprintf (fid, '%g \n', map.work_no(i));
    fprintf (fid, '%g \n', map.total_spec(i));
    str=iarray_to_str(map.spec_no(map.spec_ind(i):map.spec_ind(i)+map.total_spec(i)-1));
    for j=1:numel(str)
        fprintf(fid,'%s \n', str{j});
    end
end

fclose(fid);

%-------------------------------------------------------------------------------------
% The following is an alternative write, that does NOT use the notation m-n to
% mean m m+1 m+2 ...n-1 n
% Historical - variable names need to be changed.
%-------------------------------------------------------------------------------------
% Write output file:
% -------------------
% fid = fopen (file_internal_out, 'wt');
% if (fid < 0)
%     error (['ERROR: cannot open file ' file_internal])
% end
% fprintf (fid, '%g \n', length(map_out));
% 
% len_row=10;  % number of spectra per row in output file
% for i=1:len_row
%     fmt{i}=[repmat('%g ',[1,i]),'\n'];
% end
% for i=1:length(map_out)
%     fprintf (fid, '%g \n', i);
%     fprintf (fid, '%g \n', length(map_out{i}));
%     nrow=floor(length(map_out{i})/len_row);
%     nrem=length(map_out{i})-len_row*nrow;
%     for j=1:nrow
%         fprintf (fid, fmt{len_row}, map_out{i}(1+len_row*(j-1):len_row*j));
%     end
%     if nrem>0
%         fprintf (fid, fmt{nrem}, map_out{i}(1+len_row*nrow:end));
%     end
% end
% fclose(fid);
%-------------------------------------------------------------------------------------
