function rf = homer_pop (rf, dso, values, filled, ei_monitors)
opt=IXToptions(IXTbase);

% Background option
% -----------------
if(filled.background)
    opt.bgrd=true;
    bgrd=values.background;
else
    opt.bgrd=false;
    bgrd=[];
end

% Monitor options
% -----------------
if (filled.mon_units)
    % Implicit creation of object takes code and creates units
    opt.m_axis=true;
    m_axis=IXTaxis(values.mon_units);
else
    % Make false object
    opt.m_axis=false;
    m_axis=IXTaxis;
end

if(filled.m_rebin)
    opt.m_rebin=true;
    m_rebin=values.m_rebin;
else
    opt.m_rebin=false;
    m_rebin=[];
end

% Detector options
% -----------------
if (filled.det_units)
    % Implicit creation of object takes code and creates units
    opt.d_axis=true;
    d_axis=IXTaxis(values.det_units);
else
    % This now fills with the default values for detector units    
    opt.d_axis=false;
    d_axis=IXTaxis;
end

if(filled.d_rebin);
    opt.d_rebin=true;
    d_rebin=values.d_rebin;
else
    opt.d_rebin=false;
    d_rebin=[];
end

if(filled.d_int)
    opt.d_int=true;
    i_lim=values.d_int;
else
    opt.d_int=false;
    i_lim=[];
end


% Energy options
% ---------------
if filled.ei
    if ischar(values.ei)
        % Must be a diffraction instrument values.ei='white'
        whitebeam=true;
        opt.ei=false;
        ei=[];
    else
        % Must be chopper instrument and ei numeric
        whitebeam=false;
        ei=values.ei;
        opt.ei=true;
    end
elseif filled.fixei
    % Must be chopper instrument and fixei numeric
    whitebeam=false;
    ei=values.fixei;
    opt.ei=true;
end

if whitebeam
    monei_info=[0 0 0];
else
    % the first two values in the monei_info are the indices of the M1 and M2
    % spectra in the runfile.mon_data.datasets object used to determine ei
    % the third value is a binary flag to specify whether the supplied ei is a
    % fixei or an ei_guess
    monei_info=ei_monitors;
    if filled.fixei
        monei_info(3)=0;
    else
        monei_info(3)=1;
    end
end


% Populate command
% ----------------
rf=populate(rf,dso,values.period,values.nchunk,ei,monei_info,m_axis,m_rebin,i_lim,d_axis,d_rebin,bgrd,opt);
