function r = geti(field)
% Function to extract an integer variable from a raw file
%   >> result = geti(field_name)
%
% e.g. 
%   >> result = geti('NDET')

self = ixf_global_var('data_source','get','rawfile');
if isempty(self)
    error('No default RAW file currently assigned')
elseif ~isa(self,'IXTraw_file')
    error('Currently assigned raw file is not IXTraw_file object')
end

r = geti(self,field);
