function r = getr(field)
% Function to extract a real variable from a raw file
%   >> result = getr(field_name)
%
% e.g. 
%   >> result = getr('LEN2')

self = ixf_global_var('data_source','get','rawfile');
if isempty(self)
    error('No default RAW file currently assigned')
elseif ~isa(self,'IXTraw_file')
    error('Currently assigned raw file is not IXTraw_file object')
end

r = getr(self,field);
