function r = gget(field)
% Function to extract any variable from a raw file
%   >> result = gget(fieldname)
%
% e.g. 
%   >> no_dets = gget('ndet')

self = ixf_global_var('data_source','get','rawfile');
if isempty(self)
    error('No default RAW file currently assigned')
elseif ~isa(self,'IXTraw_file')
    error('Currently assigned raw file is not IXTraw_file object')
end

r = gget(self,field);
