function colorslider(varargin)
% Add colorsliders to a figure
%
%   >> colorslider                  % to current figure
%   >> colorslider(figureHandle_)   % to numbered figure e.g. >> colorslider(5)
%
%   >> colorslider('delete')        % to current figure
%   >> colorslider(figureHandle_,delete)
%
%
% Synonym for color_slider, to avoid conflict with mslice


% Dean Whittaker 2007, adapted from mslice.
%

if nargin == 0 || (nargin==1 && ischar(varargin{1}))
    ui_color_slider(gcf,varargin{:})
else
    ui_color_slider(varargin{:})
end
