function libisis_off
% Remove paths to all libisis root directory and all sub-directories.
%
% To remove libisis from the matlab path, type
%   >> libisis_off

% T.G.Perring

% root directory is assumed to be that in which init resides
%
% $Revision: 1857 $  ($Date: 2009-10-01 16:02:29 +0100 (Thu, 01 Oct 2009) $)
%
rootpath = fileparts(which('libisis_init'));

warn_state=warning('off','all');    % turn of warnings (so don't get errors if remove non-existent paths)
try
    instrument_files = parse_path([rootpath '/../InstrumentFiles' filesep]);
    instrument_files=genpath(instrument_files);
    rmpath(instrument_files);
    
   %TODO: modify this to close libisis graphics only
    close all;
    %
    LibIsisPath = genpath(rootpath);
    rmpath(LibIsisPath);
       
    warning(warn_state);    % return warnings to initial state
catch
    warning(warn_state);    % return warnings to initial state if error encountered
    error('Problems removing "%s" and sub-directories from matlab path',rootpath)
end
