#!/usr/bin/perl -w
use strict;
####################################################################
# the script to copy list of template methods for libisisis classes#
# from the template folder to the libisis class folders and mslice #
# class folders                                                    #
#                                                                  #
# some mslice class methods are redefined, so the script does not  #
# overwrite methods which exist in mslice folders.                 #
#                                                                  #
# BEWARE!!!!                                                       #
# ***>                                                             #
# if some libisis methods were redefined, the script has to be     #
# modified to avoid overwriting such methods                       #
#                                                                  #
#  $Revision:: 1613     $    ($Date:: 2010-01-14 17:57:21 +0000#$) #
#                                                                  #
####################################################################
# Input data:
my $source_folder = "./classes/_generic_methods/";
my $target_folder1= "./classes/";
my $target_folder2= "./utilities/mslice_classes/";
#
# Script itself
my (@prototypes,@target_classes,@target_mslice_classes);
if(-d $source_folder){
    @prototypes = glob($source_folder."*.m");
    my(@path,$i);
	# strip prototypes of the full path
    for($i=0;$i<=$#prototypes;$i++){
        @path=split(/\//,$prototypes[$i]);
        $prototypes[$i]=$path[$#path];
    }
}else{
    die " can not idetify source folder $source_folder\n";
}
if(-d $target_folder1){
        @target_classes=glob($target_folder1."\@*");
}else{
    die " can not identify target folder 1: $target_folder1\n";
}
if(-d $target_folder2){
        @target_mslice_classes=glob($target_folder2."\@*");
}else{
    die " can not identify target folder 2: $target_folder2\n";
}

open(LOG,">nl");
my ($i,$itc,$imc,$ntc,$nmc);
#
$itc=0;
$ntc=$#target_classes+1;
for($i=0;$i<$ntc;$i++){
    $itc+=copy_all_files($source_folder,$target_classes[$i],@prototypes);
}
print LOG "copied $itc files in $ntc libisis classes \n";
#
$imc=0;
$nmc=$#target_mslice_classes+1;
for($i=0;$i<$nmc;$i++){
    $imc+=copy_undefined_files($source_folder,$target_mslice_classes[$i],@prototypes);
}
print LOG "copied $imc files in $nmc mslice classes \n";
#
close(LOG);

#######################################################################

sub copy_all_files{
    my($source_folder,$target_class,@prototypes)=@_;
    my ($i,$shortFileName,$ic);
    use File::Copy;
    
    $ic=0;
    for($i=0;$i<=$#prototypes;$i++){
        if(!copy($source_folder.$prototypes[$i],$target_class."/".$prototypes[$i])){
            print " error copying file $prototypes[$i] to target folder $target_class\n";
        }else{
            $ic++;
        }
    }
    return $ic;
}

sub copy_undefined_files{
    my($source_folder,$target_class,@prototypes)=@_;
    my ($i,$shortFileName,$target_file,$ic);
    use File::Copy;

    $ic=0;
    for($i=0;$i<=$#prototypes;$i++){
        $target_file = $target_class."/".$prototypes[$i];
        if(!(-f $target_file)){
            if(!copy($source_folder.$prototypes[$i],$target_file)){
                print " error copying file $prototypes[$i] to target folder $target_class\n";
            }else{
                $ic++;
            }
        }
    }
    return $ic;
}


