function d=xye(w)
% Create xye structure from IXTdataset_1d object
%
%   d = xye(w)
%
%   d.x     x coords (bin centres if input object is histogram) (row vector)
%   d.y     signal values (row vector)
%   d.e     standard deviation (row vector)

d=repmat(struct('x',[],'y',[],'e',[]),size(w));
for i=1:numel(w)
    d(i).x=w.x; d(i).y=w.signal; d(i).e=w.error;
    if numel(d(i).x)~=numel(d(i).y)
        d(i).x=0.5*(d(i).x(2:end)+d(i).x(1:end-1));
    end
end
