function delgpath(name)
% Delete a global path, if it exists, from the global path object
%
%   >> delgpath(pathname)
%
% See also: mkgpath, delgpath, addgpath, rmgpath, addendgpath, addbeggpath, showgpath, existgpath

% Check global path name
if ~isvarname(name)
    error('Check global path is a character string')
end

if ~existgpath(name)
    display(['Global path ''',name,''' does not exist, no delete performed'])
    return  % doesn't exist anyway
end

% Delete from Fortran and Matlab
r = libisisexc('IXTpath','delpath',IXTpath,name);
ixf_global_var('fortran','set','GPATH',r);
