function likely = shoelace_preprocess(xin,yin,xout,yout)
%
% Pre-process input/output information so that we only try to calculate
% overlap areas between in/out that are actually near to each
% other.
%
% RAE 17/9/09


%Intialise the output cell array:
sz=size(xout);
likely=cell(1,sz(2));
%==

xout_min=min(xout); yout_min=min(yout);
xout_max=max(xout); yout_max=max(yout);

xin_min=min(xin); yin_min=min(yin);
xin_max=max(xin); yin_max=max(yin);
%these 8 arrays are row vectors telling us the min/max x and y values for
%each output bin and input bin

for i=1:sz(2)
    %work out if any overlap
    xoverlap_min=(xin_min>=xout_min(i) & xin_min<=xout_max(i));
    xoverlap_max=(xin_max>=xout_min(i) & xin_max<=xout_max(i));
    yoverlap_min=(yin_min>=yout_min(i) & yin_min<=yout_max(i));
    yoverlap_max=(yin_max>=yout_min(i) & yin_max<=yout_max(i));
    %
    overlap=(xoverlap_min | xoverlap_max) & (yoverlap_min | yoverlap_max);
    ind=find(overlap);%ind is a row vector
    %=======
    %Must also consider the case where the input bins are larger than the
    %output bins, and an output bin is enclosed (partially or fully) by an
    %input bin.
    x_enclosed=(xin_min<=xout_min(i) & xin_max>=xout_max(i));
    y_enclosed=(yin_min<=yout_min(i) & yin_max>=yout_max(i));
    enclosed=(x_enclosed & y_enclosed);%this line is perhaps dodgy - return to it in testing.
    ind2=find(enclosed);
    likely{i}=[ind ind2];
end
