function [file_out,mess]=getfilecheck(file)
% Check that a file exists, returning an appropriate error message if not, or if wrong argument type
%
%   [file_out,mess]=getfilecheck(file)
%
%   file_out    File name. Set to '' if error
%   mess        Message. Set to '' if no problems
%   

mess='';
if ~isempty(file) && ischar(file) && size(file,1)==1 && numel(size(file))==2
    file=translate_read(file);  % translate any libisis global path
    if exist(file,'file')==2
        file_out = file;
    else
        file_out=''; mess=['File does not exist: ',file]; return
    end
else
    file_out=''; mess='Filename input argument must be non-empty character string'; return
end
