function [Matlab_SVN,Fortran_version,Matlab_predef]=libisis_version(varargin)
% the function returns the version of Libisis, which should correspond to
% the distinctive tag version from the SVN server. 
%
% An pre-commit hook script has to be enabled to support valid Matlab
% versioning. The script should modify the data of this file before
% committing. 
% The variable below introduced to allow the commit hook touching this file and 
% make this touches available to the svn (may be it is a cumbersome solution, but is 
% the best and most portable I can think in a five minutes time). 
%
% if libisis_version is called with parameter, the function
% returns revision data as numbers rather then strings (convenient for version analysis)
%
%
% $COMMIT_COUNTER:: 132 $
%
% No variable below this one should resemble COMMIT_COUNTER, as their values will 
% be modified and probably corrupted at commit
% after the couter changed, the row below will be updated to the latest svn version while committing
% 
Matlab_SVN='$Revision:: 1876 $ ($Date:: 2012-09-17 16:59:11 +0100 (Mon, 17 Sep 2012) $)';
%
Matlab_predef='3.0.1';  % not used at the moment -- when would, should be modified sensibly
try
    Fortran_version=libisisexc();
catch
 err=lasterr;
 if(strncmp('Error using ==> libisisexc',err,25)||strncmp('LIBISISEXC: At least two',err,24))
    Fortran_version='$Revision:< 1586 ,Old Date: before 01/01/2010                 ';
 else
    Fortran_version=['Undefined::, Err:',err];
 end
end
if nargin>0
    hd     =str2double(Matlab_SVN(12:17));
    Matlab_SVN =hd(1);
    if regexp(Fortran_version,'Undefined')
        Fortran_version  = -1;
    else
        hd  =str2double(Fortran_version(12:17));
        Fortran_version=hd(1);
    end
end

