function wout = IXTdataset_1d (cut)
% Convert cut object into a IXTdataset_1d
%
%   >> wout=IXTdataset_1d(cut)
%
%   cut     Cut object
%
%   wout    IXTdataset_1d object. Will be point object

% set title:
if ~isempty(cut.CutDir)||~isempty(cut.CutFile)  % there is a cut file name
    temp = cellstr(cut.title);   % add file name to top of the title
    ltemp = length(temp);
    ltitle = ltemp + 1;
    title{1} = avoidtex(fullfile(cut.CutDir,cut.CutFile));
    title(2:ltitle) = temp(1:ltemp);
else
    title=cellstr(cut.title);
end

s_axis = IXTaxis (cut.y_label);
x_axis = IXTaxis (cut.x_label);
wout = IXTdataset_1d (IXTbase, title, cut.y, cut.e, s_axis, cut.x, x_axis, false);
