function wout = read (wdummy, file)
% Read mslice/Tobyfit cut object from a file
% 
%   >> w=read(cut)          % prompts for file
%   >> w=read(cut,file)
%
% Need to give first argument as cut object to enforce the execution of this method.
% Can simply create a dummy object with a call to cut:
%    e.g. >> read(cut,'c:\temp\my_file.cut')

% Original author: T.G.Perring

% Get file name - prompt if file does not exist 
if ~exist('file','var')
    file_internal=getfile('*.cut');
    if isempty(file_internal), error('No file given'), end
else
    [file_internal,mess]=getfilecheck(file);
    if ~isempty(mess), error(mess), end
end

% Read cut
wout=cut(file_internal);
