function save (w, file)
% Save a cut object to file
%
%   >> save (w)              % prompt for file
%   >> save (w, file)        % give file
%
% Input:
%   w       cut object
%   file    [optional] File for output. if none given, then prompted for a file
%
% Output:

% Original author: T.G.Perring


% Get file name - prompting if necessary
if (nargin==1)
    file_internal = putfile('*.cut');
    if (isempty(file_internal))
        error ('No file given')
    end
elseif (nargin==2)
    file_internal = file;
end

% Write data to file
disp(['Writing cut to ',file_internal,'...'])
[ok,mess] = put_cut (w,file_internal);
if ~ok; error(mess); end
