function wout = read (wdummy, file)
% Read mslice/Tobyfit slice object from a file
% 
%   >> w=read(slice)          % prompts for file
%   >> w=read(slice,file)
%
% Need to give first argument as slice object to enforce the execution of this method.
% Can simply create a dummy object with a call to slice:
%    e.g. >> read(slice,'c:\temp\my_file.slc')

% Original author: T.G.Perring

% Get file name - prompt if file does not exist 
if ~exist('file','var')
    file_internal=getfile('*.slc');
    if isempty(file_internal), error('No file given'), end
else
    [file_internal,mess]=getfilecheck(file);
    if ~isempty(mess), error(mess), end
end

% Read slice
wout=slice(file_internal);
