function wout = IXTdataset_2d (spe)
% Convert spe object into a IXTdataset_2d
%
%   >> wout=IXTdataset_2d(spe)
%
%   spe   	spe object
%
%   wout    IXTdataset_2d object. Will be histogram object

title=avoidtex(fullfile(spe.filepath,spe.filename));
s_axis = IXTaxis ('Intensity');
x_axis = IXTaxis ('Energy transfer (meV)');
y_axis = IXTaxis ('Workspace index');

wout = IXTdataset_2d (IXTbase, title, spe.S, spe.ERR,...
    s_axis, spe.en', x_axis, true, 1:size(spe.S,2), y_axis, false);
