function [this,ok]=writeSPEas_hdf5(this)
% the function writes the data, usually kept in spe file as an hdf5 file
%
% $Revision: 1776 $ ($Date: 2011-03-03 11:16:26 +0000 (Thu, 03 Mar 2011) $)
%
if(~exist(this.filepath,'dir'))
    this.filepath=pwd;
end
hdf_fs             =spe_hdf_filestructure(1);
hdf_fileName   =fullfile(this.filepath,[this.filename hdf_fs.spe_hdf_file_ext]);    
try
if ~isempty(getEi(this))
    Ei=getEi(this);
else
    Ei=NaN;
end
hdf5write(hdf_fileName,hdf_fs.data_field_names{1},Ei,...
                       hdf_fs.data_field_names{5},hdf_fs.spe_hdf_version,...
                       hdf_fs.data_field_names{2},this.en,...
                       hdf_fs.data_field_names{3},this.S,...
                       hdf_fs.data_field_names{4},this.ERR);
ok=true;                   
catch
    warning('SPE:writeSPEas_hdf5','error writing hdf5 spe data, Err: %s',lasterr());
    ok=false;
end

