function wout = read (wout, file)
% Read spe object from a file
% 
%   >> w=read(spe)          % prompts for file
%   >> w=read(spe,file)
%
% Need to give first argument as spe object to enforce the execution of this method.
% Can simply create a dummy object with a call to spe:
%    e.g. >> read(spe,'c:\temp\my_file.spe')

% Original author: T.G.Perring

% Get file name - prompt if file does not exist 
%
% $Revision: 1577 $ ($Date: 2009-09-18 13:41:18 +0100 (Fri, 18 Sep 2009) $)
%
if ~exist('file','var')
    hdf_ext=spe_hdf_filestructure('spe_hdf_file_ext');
    hdf_ext=['*',hdf_ext];
    file_internal=getfile({'*.spe',hdf_ext});
    if isempty(file_internal), error('No file given'), end
else
    [fpath,fname]=fileparts(file);
    hdf_ext=spe_hdf_filestructure('spe_hdf_file_ext');
	for i=1:numel(hdf_ext)
		file_internal=fullfile(fpath,[fname,hdf_ext{i}]);
		if exist(file_internal,'file')		
			break;
        else
            file_internal='';            
		end
	end
	if isempty(file_internal)
			file_internal=fullfile(fpath,[fname,'.SPE']);
			if ~exist(file_internal,'file')
                    file_internal=fullfile(fpath,[fname,'.spe']);
                    if ~exist(file_internal,'file')                    
                        error('SPE:read',' file %s does not exist',file_internal);
                    end
			end
	end	
end

% Read spe
[wout,ok,mess]=get_spe(wout,file_internal);                
if ~ok, error(mess); end;                

