function w=save (w, file)
% Save a spe object to file
%
%   >> save (w)              % prompt for file if no file defined in spe
%   object (impossible at the moment)
%   >> save (w, file)        % give file
%
% Input:
%   w       spe object
%   file    [optional] File for output. if none given, then prompted for a file
%
% Output:

% Original author: T.G.Perring
%
% $Revision: 1763 $ ($Date: 2009-09-18 13:41:18 +0100 (Fri, 18 Sep 2009) $)
%
% Get file name - prompting if necessary
if (nargin==1)
    if(isempty(w.filename)||isempty(w.filepath))
        files_ext=['*.spe';strcat({'*'},spe_hdf_filestructure('spe_hdf_file_ext',1))'];
        file_internal = putfile(files_ext);
        [fpath,fname,fext]=fileparts(file_internal);
        % transform the retrieved file extension in the same file format as
        % the file extentions, provided as input arguments
        fext=['*',fext]; 
        if strcmp(fext,files_ext{2})
            w.use_hdf=1;
        elseif strcmp(fext,files_ext{1})
            w.use_hdf=0;
        else
            w.use_hdf=2;   
        end
    else
        [path,fname]  = fileparts(fullfile(w.filepath, w.filename));
        if w.use_hdf
            fext=spe_hdf_filestructure('spe_hdf_file_ext',1);
            if iscell(fext)
                fext = fext{1};
            end
        else
            fext='.spe';
        end
        file_internal = fullfile(path,[fname,fext]);
    end
    if (isempty(file_internal))
        error ('No file given')
    end
elseif (nargin==2)   
    file_internal = file;
    [w.filepath, w.filename]= fileparts(file_internal);
end

w=write(w,file_internal);
