function w = read_spe (file)
% Read mslice/Tobyfit spe object from a file
% 
%   >> w=read_spe          % prompts for file
%   >> w=read_spe(file)

% Get file name - prompt if file does not exist 
if ~exist('file','var')
    files_ext=['*.spe';strcat({'*'},spe_hdf_filestructure('spe_hdf_file_ext'))'];
    file_internal=getfile(files_ext);
    if isempty(file_internal), error('No file given'), end
else
    [file_internal,mess]=getfilecheck(file);
    if ~isempty(mess), error(mess), end
end

w = read(spe,file_internal);
