function runchar=runno_char(runno)
% Convert run number into character string
% Assumes ISIS format i.e. 5 digits or 8 digits, i.e.
%  - if       0 <= runno <= 99999       padded with zeros to make 5 characters long
%  - if  100000 <= runno <= 99999999    padded with zeros to make 8 characters long

if runno<0
    error('Run number must be greater or equal to zero')
elseif runno<=99999
    ndigits=5;
elseif runno<=99999999
    ndigits=8;
else
    error('Run number too large')
end

runchar = num2str(runno);
xlen = ndigits - length(runchar);
if xlen > 0
    runchar = [repmat('0', 1, xlen) runchar];
end
