function set_inst(inst_name)
% Sets the instrument from which to analyse data.
% 
%   >> set_dir (inst_name)
%
%  where inst_name is the three letter abbreviation of the instrument name
% used in the construction of file names, such as 'MAR', 'MER', 'MAP', 'LET'
%
% e.g
%   >> set_inst('map')

if ~ischar(inst_name) || isempty(inst_name) || size(inst_name,1)~=1
    error('Instrument must be a character string')
else
    ixf_global_var('data_source','set','inst',inst_name);
end
