function varargout=whichinst
%
% whichinst
% inst=whichinst
%
% Function to tell you which instrument, if any, is setup on the search
% path of Matlab.
%
% R. Ewings 12/4/2010

pdef=path;%long string containing the entire search path.
ind1=strfind(pdef,'/merlin');
ind2=strfind(pdef,'/maps');
ind3=strfind(pdef,'/mari');
ind4=strfind(pdef,'/het');
inst='';
if ~isempty(ind1)
    inst=[inst,'merlin '];
end
if ~isempty(ind2)
    inst=[inst,'maps '];
end
if ~isempty(ind3)
    inst=[inst,'mari '];
end
if ~isempty(ind4)
    inst=[inst,'het '];
end

if isempty(ind1) && isempty(ind2) && isempty(ind3) && isempty(ind4)
    disp('--------------------------------');
    disp('   NO INSTRUMENT SELECTED       ');
    disp('--------------------------------');
elseif strcmp(inst,'merlin ')
    disp('--------------------------------');
    disp('      INSTRUMENT IS MERLIN      ');
    disp('--------------------------------');
elseif strcmp(inst,'maps ')
    disp('--------------------------------');
    disp('      INSTRUMENT IS MAPS      ');
    disp('--------------------------------');
elseif strcmp(inst,'mari ')
    disp('--------------------------------');
    disp('      INSTRUMENT IS MARI        ');
    disp('--------------------------------');
elseif strcmp(inst,'het ')
    disp('--------------------------------');
    disp('      INSTRUMENT IS HET         ');
    disp('--------------------------------');
else
    disp('--------------------------------');
    disp(' MULTIPLE INSTRUMENTS SELECTED  ');
    disp(upper(inst));
    disp('--------------------------------');
end

varargout{1}=inst;

